GLObjectDemoView subclass:#GLTetraDemoView 
	 instanceVariableNames:''
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Demos-3D'
!

GLTetraDemoView comment:'
a simple tetrahedron.

start with:
    GLTetraDemoView open
'!

!GLTetraDemoView class methodsFor:'defaults'!

defaultLabel
    "used by superclass"

    ^ 'GL solid tetra'
! !

!GLTetraDemoView methodsFor:'initialization'!

setupPoints 
    points := Array new:4.
    points at:1 put:(Point3D x: -0.5 y: 0.866 z: -0.667).   
    points at:2 put:(Point3D x: -0.5 y:-0.866 z: -0.667).   
    points at:3 put:(Point3D x:  1.0 y: 0.0   z: -0.667).   
    points at:4 put:(Point3D x:  0.0 y: 0.0   z: 1.334).   
! !

!GLTetraDemoView methodsFor:'drawing'!

drawObject

    self backFace:true.

    self color:Blue.
    self beginPolygon.  
    self v3f:(points at:3).
    self v3f:(points at:2).
    self v3f:(points at:1).
    self endPolygon. 

    self color:Green.
    self beginPolygon. 
    self v3f:(points at:1).
    self v3f:(points at:2).
    self v3f:(points at:4).
    self endPolygon. 

    self color:Red.
    self beginPolygon. 
    self v3f:(points at:2).
    self v3f:(points at:3).
    self v3f:(points at:4).
    self endPolygon. 

    self color:Yellow.
    self beginPolygon. 
    self v3f:(points at:3).
    self v3f:(points at:1).
    self v3f:(points at:4).
    self endPolygon. 
! !
