'From Smalltalk/X, Version:2.10.2 on 19-jun-1994 at 18:13:27'!

GLCubeDemoView subclass:#GLWireCubeDemoView
	 instanceVariableNames:''
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Demos-3D'
!

!GLWireCubeDemoView class methodsFor:'defaults'!

defaultLabel
    "used by superclass"

    ^ 'GL wireframe cube'
! !

!GLWireCubeDemoView methodsFor:'drawing'!

drawObject
    "
	    p5------p6
	   /|      /|
	  / |     / |
	 /  |    /  |
	p1------p2  |
	|   |   |   |
	|   p8--|---p7
	|  /    |  /
	| /     | /
	|/      |/
	p4------p3
    "

    "front edges"
    self color:White.
    self beginClosedLine.  
    self v3f:(points at:1).
    self v3f:(points at:2).
    self v3f:(points at:3).
    self v3f:(points at:4).
    self endClosedLine. 

    "back edges"
    self color:Green.
    self beginClosedLine. 
    self v3f:(points at:6).
    self v3f:(points at:5).
    self v3f:(points at:8).
    self v3f:(points at:7).
    self endClosedLine. 

    "right edges"
    self color:Red.
    self beginLine. 
    self v3f:(points at:2).
    self v3f:(points at:6).
    self endLine.
    self beginLine.
    self v3f:(points at:7).
    self v3f:(points at:3).
    self endLine. 

    "left edges"
    self color:Yellow.
    self beginLine. 
    self v3f:(points at:1).
    self v3f:(points at:5).
    self endLine.
    self beginLine.
    self v3f:(points at:4).
    self v3f:(points at:8).
    self endLine. 
! !

