"
 COPYRIGHT (c) 1990 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

LogicObject subclass:#Input
       instanceVariableNames:''
       classVariableNames:'OffIcon OnIcon'
       poolDictionaries:''
       category:'Applications-LogicTool-Objects'
!

Input comment:'
 input/switch

 $Header: /claus/smalltalk/st/clients/LogicTool/RCS/Input.st,v 1.3 95/02/11 17:09:09 claus Exp $
 written spring 90 by claus
'!

!Input class methodsFor:'specification'!

genericName
    ^ 'in'
!

iconFileName
    ^ 'InputOff.64'
!

icon
    OffIcon isNil ifTrue:[
	OffIcon := Form fromFile:(self iconFileName) resolution:100
    ].
    ^ OffIcon
!

onIcon
    OnIcon isNil ifTrue:[
	OnIcon := Form fromFile:'InputOn.64' resolution:100
    ].
    ^ OnIcon
!

offIcon
    OffIcon isNil ifTrue:[
	OffIcon := Form fromFile:'InputOff.64' resolution:100
    ].
    ^ OffIcon
!

numberOfInputs
    ^ 0
!

numberOfOutputs
    ^ 1
! !

!Input methodsFor:'specification'!

icon
    (outputValues at:1) ifTrue:[
	^ self class onIcon
    ].
    ^ self class offIcon
! !

!Input methodsFor:'simulation'!

state:aBoolean
    outputValues at:1 put:aBoolean
!

click
    changed := true.
    changedPicture := true.
    ^ outputValues at:1 put:((outputValues at:1) not)
!

evaluate
    ^ outputValues at:1
! !
