'From Smalltalk/X, Version:2.10.3 on 27-sep-1994 at 12:57:21'!

ThreeSliderPanel subclass:#RGBPanel
	 instanceVariableNames:''
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Views-Interactors'
!

RGBPanel comment:'
 allows mixing of a color by rgb values

RGBPanel new realize
 $Header: /claus/smalltalk/st/clients/ColorPanel/RCS/RGBPanel.st,v 1.2 94/11/21 17:14:22 claus Exp $
 written june 93 by claus
'!

!RGBPanel class methodsFor:'specification'!

sliderClass
    ^ SteppingColorSlider

! !

!RGBPanel methodsFor:'initialization'!

initialize
    super initialize.

    slider1 color:Color red; label:'red'.
    slider2 color:Color green; label:'green'.
    slider3 color:Color blue; label:'blue'.

    action := [:r :g :b | ].

    "
     RGBPanel new open
    "
! !

!RGBPanel methodsFor:'accessing'!

setFrom:aColor
    self setSlider1:aColor red 
            slider2:aColor green
            slider3:aColor blue
! !

