"This file defines ActionMenu for ST-80 (< R4) code

 This is not guaranteed to be correct - all I have is
 some PD demo programs to guess from ..." !
"
!

PopUpMenu subclass:#ActionMenu
         instanceVariableNames:'actionLabels actionLines actionSelectors'
         classVariableNames:''
         poolDictionaries:''
         category:'ST-80 compatibility'
!

!ActionMenu class methodsFor:'instance creation'!

labels:labels 
    ^ self labels:labels lines:nil selectors:nil 
!

labels:labels selectors:selectors
    ^ self labels:labels lines:nil selectors:selectors 
!

labels:labels lines:lines 
    ^ self labels:labels lines:lines selectors:nil
!

labels:labels lines:lines selectors:selectors
    ^ (self new) labels:labels lines:lines selectors:selectors
!

labels:labels values:selectors
    ^ self labels:labels lines:nil selectors:selectors 
!

labels:labels lines:lines values:selectors
    ^ (self new) labels:labels lines:lines selectors:selectors
! !

!ActionMenu methodsFor:'startup'!

startUp
    menuView action:[:selected |
        actionSelectors isNil ifTrue:[^ selected].
        (menuView args at:selected) isNil ifTrue:[^ nil "0"].
        ^ actionSelectors at:(menuView args at:selected)
    ].
    self showAtPointer.
    self modalLoop.
    ^ 0
! !

!ActionMenu methodsFor:'accessing'!

numberOfItems
    ^ actionLabels size
!

labels
    ^ actionLabels
!

selectors
    ^ actionSelectors
!

lines
    ^ actionLines
!

labels:labelString lines:lineArray selectors:selectorArray
    |labelArray argArray convertedLabels 
     srcIndex dstIndex offs dstOffs linePos|

    actionLabels := labelString.
    actionLines := lineArray.
    actionSelectors := selectorArray.

    labelArray := labelString asText.

    convertedLabels := Array new:(labelArray size + lineArray size).
    argArray := Array new:(labelArray size + lineArray size).

    offs := 1.
    dstOffs := 1.
    1 to:lineArray size do:[:lineIndex |
        linePos := lineArray at:lineIndex.
        [offs <= linePos] whileTrue:[
            convertedLabels at:dstOffs put:(labelArray at:offs).
            argArray at:dstOffs put:offs.
            offs := offs + 1.
            dstOffs := dstOffs + 1
        ].
        convertedLabels at:dstOffs put:'-'.
        argArray at:dstOffs put:nil.
        dstOffs := dstOffs + 1
    ].
    [offs <= labelArray size] whileTrue:[
        convertedLabels at:dstOffs put:(labelArray at:offs).
        argArray at:dstOffs put:offs.
        offs := offs + 1.
        dstOffs := dstOffs + 1
    ].
    super menu:(MenuView
                        labels:convertedLabels
                      selector:nil
                          args:argArray
                      receiver:nil 
                            in:self)
! !
