'From Smalltalk/X, Version:2.10.3 on 24-sep-1994 at 20:04:48'!

InspectorView subclass:#ColorInspectorView
	 instanceVariableNames:'colorView'
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Interface-Inspector'
!

!ColorInspectorView methodsFor:'accessing'!

inspect:anObject
    super inspect:anObject.
    realized ifFalse:[^ self].
    colorView viewBackground:anObject.
    colorView clear
! !

!ColorInspectorView methodsFor:'initialization'!

initialize
    |newPanel sub|

    super initialize.

    newPanel := VariableVerticalPanel in:self.
    newPanel origin:0.0 @ 0.0 corner:1.0 @ 1.0.

    sub := subViews first.
    self removeSubView:sub.
    sub origin:0.0@0.0 corner:1.0@0.8.
    newPanel addSubView:sub.

    colorView := View in:newPanel.
    colorView origin:(0.0 @ 0.8) corner:(1.0 @ 1.0).

    "
     ColorInspectorView inspect:(Color yellow)
     ColorInspectorView inspect:(Color name:'brown') lightened)
    "
! !
