"
 COPYRIGHT (c) 1990 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

LogicObject subclass:#ExorGate2
       instanceVariableNames:''
       classVariableNames:'Icon'
       poolDictionaries:''
       category:'Applications-LogicTool-Objects'
!

ExorGate2 comment:'
 2 input exor-gate

 $Header: /claus/smalltalk/st/clients/LogicTool/RCS/ExorGate2.st,v 1.3 95/02/11 17:09:04 claus Exp $
 written spring 90 by claus
'!

!ExorGate2 class methodsFor:'specification'!

icon
    Icon isNil ifTrue:[
	Icon := Form fromFile:(self iconFileName) resolution:100
    ].
    ^ Icon
!

genericName
    ^ 'xor'
!

iconFileName
    (Smalltalk language == #german) ifTrue:[
	^ self name , '_g.64'
    ].
    ^ self name , '.64'
!

numberOfInputs
    ^ 2
!

numberOfOutputs
    ^ 1
! !

!ExorGate2 methodsFor:'simulation'!

evaluate
    |oldOut|
    oldOut := outputValues at:1.
    outputValues at:1 put:((inputValues at:1) xor: (inputValues at:2)).
    (outputValues at:1) ~~ oldOut ifTrue:[
	changed := true
    ].
    ^ outputValues at:1
! !
