'From Smalltalk/X, Version:2.10.3 on 5-aug-1994 at 12:06:57 am'!

WoodenBox subclass:#GraniteBox
	 instanceVariableNames:''
	 classVariableNames:'Texture'
	 poolDictionaries:''
	 category:'Views-Fun'
!

!GraniteBox class methodsFor:'cleanup'!

lowSpaceCleanup
    "cleanup in low-memory situations"

    Texture := nil

    "
     Smalltalk allClassesDo:[:aClass |
        aClass lowSpaceCleanup
     ]
    "
    "
     GraniteBox lowSpaceCleanup
    "


! !

!GraniteBox methodsFor:'initialization'!

textureH
    |t|

    Texture isNil ifTrue:[
        t := Image fromFile:'bitmaps/granite.tiff'.
        t notNil ifTrue:[
            Texture := t asFormOn:device.
        ]
    ].
    ^ Texture

    "
     Texture := nil
    "
!

textureV
    ^ self textureH
!

initColors
    mediumColor := Color grey:30.
    lightColor := Color grey:50.
    veryLightColor := Color grey:80.
! !

