'From Smalltalk/X, Version:2.10.3 on 27-sep-1994 at 12:57:26'!

ThreeSliderPanel subclass:#HLSPanel
	 instanceVariableNames:''
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Views-Interactors'
!

HLSPanel comment:'
 allows mixing of a color by hls values

HLSPanel new realize
 $Header: /claus/smalltalk/st/clients/ColorPanel/RCS/HLSPanel.st,v 1.3 94/11/21 17:14:43 claus Exp $
 written june 93 by claus
'!

!HLSPanel class methodsFor:'specification'!

sliderClass
    ^ SteppingColorSlider

!

slider1Class
    ^ SteppingHueSlider

! !

!HLSPanel methodsFor:'initialization'!

initialize
    super initialize.

    slider1 color:Color white; label:'hue'.
    slider2 color:Color white; label:'light'.
    slider3 inverseColor:Color white; label:'saturation'.

! !

!HLSPanel methodsFor:'user interaction'!

slider1:hueVal
    |h|

    h := (hueVal * 3.6) rounded.
    label1 label:(h printString).
    val1 := h.
    action value:val1 value:val2 value:val3
! !

!HLSPanel methodsFor:'accessing'!

setSlider1:hueVal slider2:lightVal slider3:satVal
    "hue is 0..360; slider wants 0..100"
    hueVal notNil ifTrue:[
        super setSlider1:hueVal / 3.6 slider2:lightVal slider3:satVal.
        label1 label:hueVal rounded printString
    ] ifFalse:[
        super setSlider1:hueVal slider2:lightVal slider3:satVal
    ]
!

setFrom:aColor
    self setSlider1:aColor hue 
            slider2:aColor light
            slider3:aColor saturation
!

saturationSlider
    ^ slider3
!

lightSlider
    ^ slider2
! !

