"
 COPYRIGHT (c) 1993 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

InspectorView subclass:#ImageInspectorView
	 instanceVariableNames:'imageView'
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Interface-Inspector'
!

ImageInspectorView comment:'
COPYRIGHT (c) 1993 by Claus Gittinger
	      All Rights Reserved

this class allows better inspection of images

$Header: /claus/smalltalk/st/libtool/RCS/ImgInspV.st,v 1.3 94/11/17 14:46:50 claus Exp $
'!

!ImageInspectorView methodsFor:'accessing'!

inspect:anObject
    super inspect:anObject.
    realized ifFalse:[^ self].
    imageView image:anObject

    "
     ImageInspectorView inspect:(Image fromScreen:(0@0 corner:800@800))
    "
! !

!ImageInspectorView methodsFor:'initialization'!

initialize
    |v panel newPanel sub|

    super initialize.

    newPanel := VariableVerticalPanel in:self.
    newPanel origin:0.0 @ 0.0 corner:1.0 @ 1.0.

    "
     wrap my existing subview into the new
     variable panel
    "
    sub := subViews first.
    self removeSubView:sub.
    sub origin:0.0@0.0 corner:1.0@0.3.
    newPanel addSubView:sub.

    v := HVScrollableView for:ImageEditView in:newPanel.
    v origin:(0.0 @ 0.3) corner:(1.0 @ 1.0).
    imageView := v scrolledView.

    "
     ImageInspectorView new realize
     ImageInspectorView inspect:(Image fromFile:'bitmaps/claus.gif')
    "
! !
