'From Smalltalk/X, Version:2.10.3 on 5-aug-1994 at 12:07:03 am'!

View subclass:#WoodenMenu
	 instanceVariableNames:'drawers'
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Views-Fun'
!

!WoodenMenu methodsFor:'initialization'!

initialize
    |x y idx h1|

    super initialize.

    drawers := Array new:5.
    1 to:5 do:[:index |
	|d|

        d := WoodenBox in:self.
        d label:('tools' , index printString).
        d extent:(10 @ 150).
        drawers at:index put:d.
    ].

    h1 := (drawers at:1) pullButton height + (ViewSpacing * 2).

    idx := 0.
    y := -40.
    drawers do:[:aDrawer |
        |i|

        i := idx.
        aDrawer origin:[(width / 5 * i) asInteger @ (aDrawer height negated + h1)].
        aDrawer extent:[(width / 5) asInteger @ aDrawer height].
        
        idx := idx + 1.
        aDrawer pullButton action:[self pullMenu:i+1].
    ].

    "
     WoodenMenu new open
    "
! !

!WoodenMenu methodsFor:'pulling'!

slowDraw:drawer
    |step|

    step := (drawer origin y negated / 3) rounded.

    drawer origin y to:0 by:step do:[:y |
        drawer origin:(drawer origin x @ y).
        device synchronizeOutput.
        10 timesRepeat:[Processor yield.
            windowGroup processExposeEvents.
            Processor yield.
        ].
        device synchronizeOutput.
        (Delay forSeconds:0.03) wait
    ].

    drawer origin:(drawer origin x @ 0).
!

pullMenu:index
    |d h1 button|

    h1 := (drawers at:1) pullButton height + (ViewSpacing * 2).

    d := drawers at:index.
    button := d pullButton.

    self slowDraw:d.

    d origin:(d origin x @ 0).

    button action:[d origin:[(width / 5 * (index-1)) rounded 
                             @ (d height negated + h1)].
                   button action:[self pullMenu:index]
    ].
! !

